@import 'https://fonts.googleapis.com/css?family=Oswald:300,400';

/* https://fonts.google.com/icons?icon.style=Rounded&icon.set=Material+Icons */

:root {
  --color-dark: #374047;
  --color-medium: #AAAAAA;
  --color-light: white;

  --background-color-dark: #561e1f;
  --background-color-medium: #dbd5d5;
  --background-color-light: #EEEEEE;

  --background-color-menu: #DDDDDD;
  --background-color-debug: greenyellow;
  --background-color-error: red;
  --background-color-warning: orange;

  --background-color-different: khaki;
  --background-color-removed: lightcoral;
  --background-color-added: darkseagreen;

  --background-color-gluten: orangered;
  --background-color-glutenfree: darkkhaki;

  --background-gradient: linear-gradient(to right, var(--background-color-dark), var(--background-color-dark) calc(var(--label-width) + 2px), var(--background-color-medium) calc(var(--label-width) + 2px));

  --font: Oswald;

  --shadow-color: rgba(0, 0, 0, 0.11);
  --shadow-color: #CCCCCC;
  --modal-color: rgba(0, 0, 0, 0.4);

  --label-width: 140px;
}

* {
  box-sizing: border-box;
  color: var(--color-dark);
  cursor: default;
  font: 300 10pt/14pt var(--font);
  margin: 0;
  padding: 0;
  vertical-align: top;
}
html {
  height: 100%;
}
ul {
  list-style-type: none;
}

a+a:not(#fullscreen)::before, .link+.link::before {
  color: var(--color-dark);
  content: " | ";
  left: -7px;
  pointer-events: none;
  position: absolute;
}
a+a, .link+.link {
  position: relative;
  display: inline-block;
  margin-left: 10px;
}

a img {
  cursor: pointer;
}
a:hover {
  color: var(--background-color-dark);
  cursor: pointer;
}
a.visited:visited {
  color: var(--color-medium);
}

pre {
  display: block;
  font: 8pt/1.2 monospace;
  white-space: pre;
}

b {
  font-weight: 400;
}
b.error {
  color: var(--background-color-gluten);
  font-size: 11pt;
}

h1 {
  box-shadow: 0 4px 3px -3px #561e1f ;
  font: 300 20pt/42pt var(--font);
  margin-bottom: 11px;
  overflow: hidden;
  user-select: none;
  white-space: nowrap;
}
h2 {
  font: 400 11pt/28pt var(--font);
  margin: 20px 0 10px 0;
}
h3 {
  font: 300 12pt/40pt var(--font);
}
h4 {
  font: 300 12pt/20pt var(--font);
}
h1[onclick]:hover, h1[ondblclick]:hover {
  color: var(--background-color-dark);
  cursor: pointer;
}

div.details {
  background-color: var(--color-light);
  border: 1px solid var(--color-medium);
  padding: 15px;
}
details+details {
  margin-top: 4px;
}
details summary {
  outline: none;
  user-select: none;
}
details.fail summary {
  color: var(--background-color-gluten);
}
details.pass summary {
  color: var(--background-color-dark);
}

details ul{
  padding: 5px 20px;
}
details table.scrollable {
  margin: 10px 40px;
  max-height: 40vh;
  min-width: 0;
}

form, form div {
  display: flex;
  flex-flow: row nowrap;
  overflow: hidden;
}
:not(header)>form, div.column {
  flex: 0 1 100%;
  flex-flow: column nowrap;
}
form ul {
  margin-bottom: 10px;
}
form ul>li {
  line-height: 21px;
}

div>label:first-child {
  flex: 0 0 var(--label-width);
  margin: -2px 5px -2px -2px;
  overflow: hidden;
  padding: 4px;
}

[draggable]>label:first-child, [draggable] div>label:first-child {
  flex: 0 0 calc(var(--label-width) - 20px);
}
[draggable] {
  background: url(draggable.gif) 4px 6px no-repeat;
  padding-left: 20px !important;
}
[draggable] div.column div {
  padding: 2px;
}
[draggable] [draggable] {
  background-position-x: 34px;
  padding-left: 50px !important;
}
:not([droppable])>[draggable] {
  display: none;
}

.material-icons {
  color: var(--background-color-dark);
  font-size: 16px !important;
}
.material-icons.large {
  font-size: 21px;
}
a.material-icons {
  text-decoration: none;
}
a.material-icons:hover {
  color: var(--color-dark);
}
td .material-icons {
  font-size: 21px;
  margin-top: -1px;
}

.hidden {
  display: none;
}

label {
  margin-right: 5px;
  padding: 3px 0;
  user-select: none;
  white-space: nowrap;
}
.column div {
  line-height: 16pt;
}
.column label.checkbox {
  margin-left: 2px;
  padding: 0;
}
input[type^='date'], input[type='email'], input[type='file'], input[type='month'], input[type='number'],
input[type='password'], input[type='range'], input[type='search'], input[type='tel'], input[type='text'],
input[type='time'], input[type='url'], input[type='week'], textarea, select {
  border: 1px inset rgb(238, 238, 238);
  border-bottom: 1px solid darkgray;
  border-radius: 2px;
  border-right: 1px solid darkgray;
  height: 23px;
  margin-right: 5px;
  outline: none;
  padding: 1px;
  padding-left: 4px;
  width: 150px;
}
input[type='date'] {
  width: 130px;
}
input[type='time'] {
  width: 70px;
}
input[type='color'] {
  background-color: transparent;
  border: none;
  height: 22px;
  width: 18px;
}
input[type='number'] {
  width: 70px;
}
input[type='range'] {
  width: 50px;
}
input[type='range'] {
  appearance: none;
  background-color: transparent;
  border: none;
  height: auto;
  padding: 0;
  cursor: pointer;
  outline: none;
}
input[type='range']::-webkit-slider-runnable-track {
  background: var(--color-light);
  border: 1px solid var(--background-color-medium);
  border-radius: 12px;
  padding: 1px;
}
input[type='range']::-webkit-slider-thumb {
  -webkit-appearance: none;
  background: var(--background-color-medium);
  border: 1px solid var(--background-color-dark);
  border-radius: 10px;
  height: 13px;
  width: 13px;
}
input[type='range'].empty::-webkit-slider-thumb {
  background: var(--color-light);
}
label.slider {
  display: inline-block;
  padding: 1px 0 0 2px;
  min-width: 50px;
}
input[type='range']:disabled::-webkit-slider-thumb {
  background: var(--background-color-menu);
  border: 1px solid var(--background-color-menu);
}

input[type='search'] {
  padding-right: 4px;
}
input:read-only {
  color: var(--shadow-color);
}
input:invalid, textarea:invalid, select:invalid {
  border-left: 2px solid var(--background-color-removed);
}

::placeholder {
  color: var(--shadow-color);
  opacity: 1;
}

:disabled:not(button):not(.link):not(input[type="range"]):not(select) {
  background-color: var(--background-color-light) !important;
}
button:disabled {
  color: var(--color-medium) !important;
  cursor: default !important;
  text-decoration: none !important;
}

input.small {
  width: 50px;
}
input.wide {
  width: 250px;
}

input[type='checkbox'], input[type='radio'] {
  margin: 3px 2px 0 0;
}
#main label+label>input[type='checkbox'], input[type='checkbox'] input[type='checkbox'], input[type='radio'] input[type='radio'] {
  margin-left: 10px;
}
.checkboxes>label, .radiobuttons>label {
  flex: auto !important;
}
.checkboxes>label:first-of-type {
  margin: -1px 3px -2px -4px;
}
.checkboxes.wrap {
  flex-flow: column;
}
.checkboxes.wrap>label+label>input {
  margin-left: 4px !important;
}
li>input[type='checkbox'] {
  margin: 4px 4px 0 2px;
}

select {
  min-width: 100px;
  max-width: 100%;
  padding: 0;
  width: 200px;
}
select[multiple] {
  height: 100px;
}
select.small {
  width: 100px;
}
select.error {
  color: var(--background-color-removed);
}

select.grouped optgroup {
  background-color: var(--background-color-medium);
  color: black;
  font: 500 10pt var(--font);
  text-transform: uppercase;
}
select.grouped option {
  background-color: white;
  text-transform: none;
}
select.grouped option:checked {
  background-color: var(--background-color-dark);
  color: white;
}
option.assigned {
  color: silver;
  font-variant: italic;
}

.combobox>textarea {
  background: white url(combobox.png) no-repeat center right;
  height: 23px;
  overflow: hidden;
  padding-right: 18px;
  resize: none;
  width: 300px;
}
.combobox>select {
  display: none;
  height: auto;
  position: absolute;
  width: 340px;
  z-index: 1;
}

textarea {
  height: 80px;
  min-height: 23px;
  min-width: 150px;
  max-width: 700px;
  width: 50%;
}
textarea.small, [draggable] textarea {
  height: 23px;
  margin-right: 5px;
  overflow: hidden;
}
[draggable] textarea:nth-child(2):last-child {
  height: 80px;
  overflow: auto;
}

textarea.code {
  font: 9pt 'lucida console', "courier new", monospace;
  height: 300px;
  max-width: 100%;
  white-space: nowrap;
  width: 100%;
}

.button, button:not(.link) {
  background: linear-gradient(to bottom, #FEFEFE, #F0F0F0);
  border: 1px inset rgb(238, 238, 238);
  border-bottom: 1px solid darkgray;
  border-radius: 2px;
  border-right: 1px solid darkgray;
  cursor: pointer;
  display: inline-block;
  height: 23px;
  margin-right: 5px;
  min-width: 100px;
  outline: none;
  padding: 1px 5px 1px 5px;
  text-align: center;
  text-decoration: none;
}
.button:hover {
  color: inherit;
}
button:not(.link) {
  padding-top: 0px;
}
input+button:empty, select+button:empty {
  background: transparent url(go.svg) no-repeat;
  border: none;
  margin-left: -5px;
  min-width: 32px;
  outline: none;
}

button.link {
  background-color: transparent;
  border: none;
  color: var(--background-color-dark);
  cursor: pointer;
  min-width: auto;
  outline: none;
  padding: 0;
  text-decoration: underline;
  white-space: nowrap;
}
button.link:hover {
  color: var(--color-dark);
}

button[type='submit'].link {
  color: var(--color-dark);
  margin: 0;
  padding: 0;
}
button[type='submit'].link:hover {
  color: var(--background-color-dark);
}

img[onclick]:hover {
  cursor: pointer;
  filter: brightness(50%);
}

table {
  background: var(--color-light);
  border-collapse: separate;
  border: 1px solid var(--shadow-color);
  margin-bottom: 10px;
  max-width: 100%;
  min-width: 100%;
}
tr:nth-child(even) {
  background-color: var(--background-color-light);
}
table td, table th {
  min-width: 40px;
  max-width: 150px;
  overflow: hidden;
  text-align: left;
  white-space: nowrap;
}
th {
  border-bottom: 1px solid var(--background-color-dark);
  border-right: 1px solid var(--shadow-color);
}
th:not(:empty):after {
  content: ':';
}
th[order=asc]::after {
  content: ': ↓' !important;
}
th[order=desc]::after {
  content: ': ↑' !important;
}

td {
  border-bottom: 1px solid var(--shadow-color);
  border-right: 1px solid var(--shadow-color);
}
table:not(#calendar) td.null {
  background: repeating-linear-gradient(135deg, var(--background-color-light), var(--background-color-light) 3px, var(--color-light) 3px, var(--color-light) 6px);
}
td.true {
  background: url(checked.gif) no-repeat 5px 3px;
}
td.false {
  background: url(unchecked.gif) no-repeat 5px 3px;
}
tr:hover td, .details th, tr:hover a, tr:hover span {
  background-color: var(--background-color-dark);
  color: var(--color-light);
  width: auto;
}
.details {
  min-width: auto;
}
.details td:first-child {
  text-align: right;
}
.details td:first-child:after {
  content: ':';
}
.details th, .details td {
  min-width: 100px;
  max-width: 300px;
  padding: 2px;
}

p+table, table+p {
  margin-top: 10px;
}
#calendar td, #calendar th {
  padding: 2px;
}

table.scrollable {
  display: block;
  max-height: calc(100vh - 310px);
  overflow: auto;
}
table.scrollable thead th {
  background-color: var(--color-light);
  position: sticky;
  top: 0;
}
table.scrollable th, td {
  max-width: 80% !important;
}

.smart table.scrollable br {
  display: none;
}
.smart input[type=checkbox] {
  margin: 3px 0 8px 0;
}
.smart label[onclick] {
  color: var(--background-color-dark);
  margin: 0 2px;
}
.smart label:hover {
  color: var(--color-medium);
}

.smart select {
  margin: -2px 0 6px 6px;
}
.smart table.scrollable.wrap td {
  white-space: normal !important;
}
.smart table.scrollable.wrap br {
  display: block;
}

table.totals tbody tr:last-of-type * {
  font-weight: bold;
  padding-top: 10px;
}

body {
  background-color: var(--background-color-light);
  display: grid;
  grid-gap: 10px;
  grid-template-rows: 103px auto;
  grid-template-areas:
    "header"
    "main";
  height: 100%;
  overflow: hidden;
}
  body>header {
    display: grid;
    background: white url(logo.png) no-repeat 10px 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.11);
    grid-area: header;
    grid-template-columns: 400px auto;
    grid-template-rows: 65px 38px;
    grid-template-areas:
      "version search"
      ". menu";
  }
    body>header>#version {
      grid-area: version;
      margin: 10px 35px;
    }
    body>header>form {
      grid-area: search;
      justify-content: flex-end;
      padding: 8px;
      line-height: 22pt;
    }

    nav {
      background-color: var(--background-color-light);
      grid-area: menu;
      z-index: 3;
    }
    header nav {
      z-index: 4;
    }
    nav, nav ul {
      display: flex;
      flex: auto;
      justify-content: flex-start;
    }
    nav li {
      background-color: var(--background-color-menu);
    }
    nav li:first-child>hr, nav li:last-child>hr {
      display: none;
    }
    nav>ul ul {
      border: 1px solid var(--shadow-color);
      box-shadow: 4px 8px 16px var(--shadow-color);
      display: none;
      position: absolute;
    }
    nav>ul ul li {
      background-color: var(--background-color-light);
    }
    nav>ul ul li a {
      background: url(submenu.png) no-repeat right center;
      min-width: 125px;
    }
    nav>ul ul li a:only-child {
      background: none;
    }
    nav>ul ul li>ul {
      left: 100%;
      margin-top: -39px;
    }
    nav a {
      padding: 10px 30px 10px 20px;
      text-decoration: none;
      white-space: nowrap;
    }
    nav a:focus {
      outline: 0;
    }
    nav a, nav li:hover>ul {
      display: block;
    }
    nav a:hover, nav>ul ul li:hover {
      background-color: var(--color-medium);
    }
    nav a.view::before, nav a.edit::before {
      color: var(--background-color-dark);
      content: 'lock_open';
      display: inline-block;
      font: 15px/1 'Material Icons';
      transform: translatey(2px);
      width: 25px;
    }
    nav a.edit::before {
      content: 'edit';
    }

    nav a[target=_blank]::after {
      background-color: var(--color-medium);
      content: "";
      display: inline-block;
      height: 13px;
      margin-left: 10px;
      mask-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KICAgIDxwYXRoIGQ9Ik03LjcwNSAzLjk5OGEuNzUuNzUgMCAwIDEgLjEwMSAxLjQ5M2wtLjEwMS4wMDdINS43M2EuOTY4Ljk2OCAwIDAgMC0uOTczLjgzNWwtLjAwNy4xMXYxMS44NjJjMCAuNDgxLjM3NS44ODQuODY1LjkzOWwuMTE1LjAwNmgxMi4xMDZhLjk2OC45NjggMCAwIDAgLjk3My0uODM1bC4wMDYtLjExVjE2LjRhLjc1Ljc1IDAgMCAxIDEuNDkzLS4xMDJsLjAwNy4xMDJ2MS45MDVjMCAxLjMtMS4wMjYgMi4zNTctMi4zMTcgMi40NGwtLjE2Mi4wMDVINS43M2MtMS4zMTIgMC0yLjM5LTEuMDA2LTIuNDc1LTIuMjg0bC0uMDA1LS4xNlY2LjQ0MmMwLTEuMyAxLjAyNi0yLjM1OCAyLjMxNy0yLjQ0bC4xNjMtLjAwNWgxLjk3NXpNMjAgMy4yNWEuNzUuNzUgMCAwIDEgLjc0My42NDhMMjAuNzUgNHY2LjAyNWEuNzUuNzUgMCAwIDEtMS40OTMuMTAxbC0uMDA3LS4xMDFWNS43ODRsLTcuNjkgNy41MzVhLjc1Ljc1IDAgMCAxLTEuMTIzLS45ODhsLjA3NC0uMDgzIDcuNjUxLTcuNDk4aC00LjMxYS43NS43NSAwIDAgMS0uNzQzLS42NDhMMTMuMTAyIDRhLjc1Ljc1IDAgMCAxIC42NDgtLjc0M2wuMTAyLS4wMDdIMjB6IiBmaWxsPSJjdXJyZW50Q29sb3IiIC8+Cjwvc3ZnPgo=);
      mask-size: cover;
      transform: translatey(2px);
      width: 13px;
    }
    nav a[target=_blank]:hover::after {
      background-color: var(--color-light);
    }

    nav>span {
      flex: 0 0 100px;
      margin: 8px 20px 0 0;
      text-align: right;
      white-space: nowrap;
    }

  body>main {
    display: grid;
    grid-area: main;
    grid-template-columns: auto 10fr auto;
    grid-template-areas: "left center right";
    overflow: hidden;
  }
  body.full>main {
    grid-template-columns: 10px 10fr auto;
  }
    body>main>div {
      border: 1px inset white;
      margin: 0 10px 10px 0;
      min-width: 200px;
      padding: 0 10px 20px 10px;
      position: relative;
      overflow-y: auto;
    }
    body>main>div:empty {
      display: none;
    }

    body>main>div:only-child {
      border: none;
    }
    body>main>div:first-child {
      margin-left: 10px;
    }

    body>main>div>header {
      background-color: var(--background-color-medium);
      border-bottom: 10px solid var(--background-color-light);
      min-height: 110px;
      margin: 0 -10px 10px -10px;
      padding: 0 10px;
      position: -webkit-sticky;
      position: sticky;
      top: 0;
      z-index: 1;
    }
    body>main>div>header>.fold {
      display: none;
    }
    body>main>div>header>form {
      align-items: center;
      justify-content: flex-start;
    }
    body>main>div>header>form>span {
      flex: auto;
      text-align: right;
      white-space: nowrap;
    }

    body>main>#results {
      grid-area: left;
      max-width: 300px;
      min-width: 300px;
      overflow-x: hidden;
    }
      body>main>#results>header>form>label, body>main>#results>form>div>label:not(:only-child) {
        flex: 0 0 60px;
      }
      body>main>#results>ul>li {
        white-space: nowrap;
      }

    body>main>div>form>div {
      padding: 2px 0;
    }
    body>main>#main {
      grid-area: center;
    }
      body>main>#main>form:not(.plain) {
        background: var(--background-gradient);
        box-shadow: 2px 4px 10px var(--shadow-color);
      }
      body>main>#main>form div:not(.checkboxes):not(.radiobuttons)>label:first-child:not(.checkbox) {
        color: var(--color-light);
      }
      body>main>#main>form>div, [draggable] {
        border: solid var(--background-color-light);
        border-width: 1px 1px 0 0;
        padding: 2px;
      }
      [draggable] {
        border-width: 1px 0 0 0;
      }
      body>main>#main>form>div>div.checkboxes>label {
        margin-left: -3px;
      }
      body>main>#main>form>div>label.checkbox:first-child { /* Align checkbox */
        margin-left: var(--label-width);
      }
      body>main>#main>form:not(.plain)>div>:first-child:not(label) { /* Align buttons */
        margin-left: calc(var(--label-width) + 3px);
      }
      body>main>#main>form>div:last-of-type>button:first-child { /* Margin below last button */
        margin-bottom: 20px;
      }
      body>main>#main>form>div .undefined {
        color: var(--background-color-removed);
      }

      body>main>#main>form.columns {
        flex-flow: row wrap;
      }
      body>main>#main>form.columns>div {
        background: var(--background-gradient);
        border: none;
        box-shadow: 1px 0 0 0 var(--background-color-light), 0 1px 0 0 var(--background-color-light), 1px 1px 0 0 var(--background-color-light), 1px 0 0 0 var(--background-color-light) inset, 0 1px 0 0 var(--background-color-light) inset;
        flex: 0 1 25%;
        min-width: 250px;
      }

      body>main>#main>form #image {
        margin-bottom: 5px;
      }
      body>main>#main>form #image>img {
        border-radius: 5px;
        max-height: 130px;
        min-height: 130px;
        max-width: 100%;
        object-fit: cover;
        pointer-events: none;
      }

    body>main>#main>ul.columns {
      column-count: 4;
      column-gap: 10px;
      column-width: 200px;
    }

    body>main>#actions {
      grid-area: right;
      max-width: 220px;
    }
      body>main>#actions>form>ul {
        flex: 100%;
      }
      body>main>#actions>ul>li {
        display: flex;
        justify-content: space-between;
      }
      body>main>#actions>ul>li>span {
        margin-right: 10px;
        overflow: hidden;
        text-overflow: ellipsis;
      }
      body>main>#actions>ul>li>sup {
        font: 300 6pt/1.8 var(--font);
      }

body.busy, body.busy * {
  cursor: progress !important;
}

.different {
  background-color: var(--background-color-different);
}
.removed {
  background-color: var(--background-color-removed);
}
.added {
  background-color: var(--background-color-added);
}

.gluten {
  border-left: 4px solid var(--background-color-gluten);
  padding-left: 2px;
}
.glutenfree {
  border-left: 4px solid var(--background-color-glutenfree);
  padding-left: 2px;
}
.unit {
  min-width: 70px;
  width: 70px;
  overflow: hidden;
}

#overlay:empty {
  display: none;
}
#overlay, .modal {
  background-color: var(--modal-color);
  display: flex;
  height: 100%;
  left: 0;
  overflow: none;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 4;
}
.dialog {
  background-color: var(--color-light);
  border-radius: 10px;
  height: auto;
  margin: auto;
  min-width: 25%;
  max-width: 75%;
  padding: 0 20px 20px 20px;
  text-align: center;
}
.dialog p {
  margin: 20px 0;
}
.dialog.mail p {
  max-width: 600px;
  text-align: left;
}

.spinner {
  background: rgba(255, 255, 255, 0.85) url(spinner.gif) no-repeat center center;
  display: none;
  height: 100%;
  left: 0;
  overflow: none;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 5;
}

.whatsapp {
  background: url('whatsapp-bg.png') repeat fixed;
  min-height: 100vh;
  padding: 20px 10px;
  text-align: right;
}
.whatsapp * {
  font: 10px Segoe UI,Helvetica Neue,Helvetica,Lucida Grande,Arial,Ubuntu,Cantarell,Fira Sans,sans-serif;
}
.whatsapp>div {
  background: url('whatsapp-tail.png') no-repeat right top;
  margin-bottom: 20px;
  padding-right: 7px;
}
.whatsapp>div>span {
  background: #d9fdd3;
  border-radius: 7.5px;
  border-top-right-radius: 0;
  box-shadow: 0 1.5px 0 silver;
  display: inline-flex;
  flex-direction: column;
  padding: 6px 17px 8px 9px;
  text-align: left;
  white-space: pre-wrap;
}
.whatsapp>div>span>div {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
.whatsapp>div>span>div>b {
  font-weight: 700;
  margin-right: 10px;
}
.whatsapp>div>span>pre {
  font-size: 14.2px;
  max-width: 700px;
  white-space: break-spaces;
}

#watch {
  border: 4px solid var(--background-color-error);
  bottom: 0;
  display: block;
  max-height: 0;
  max-width: 0;
  overflow: hidden;
  position: fixed;
  right: 0;
  z-index: 1;
}
#watch:hover {
  border: 1px solid var(--background-color-dark);
  max-height: 130px;
  max-width: 50%;
  overflow: auto;
}
#watch>.debug {
  background-color: var(--background-color-debug);
  border-bottom: 1px solid var(--color-light);
}
#watch>.error {
  background-color: var(--background-color-error);
  border-bottom: 1px solid var(--color-light);
  color: var(--color-light);
}

@media only screen and (max-width: 860px) {
  body>main {
    grid-template-columns: auto;
    grid-template-areas: "center";
  }
  #actions {
    display: none;
  }
}
@media only screen and (max-width: 1000px) {
  body>main:not(.full) {
    grid-template-columns: 1fr;
    grid-template-areas: "center right";
  }
  #main {
    margin-left: 10px;
  }
  #results {
    display: none;
  }
}

.preview * {
  font: 12pt/1.4 var(--font);
}
.preview .date, .preview .meal {
  font: bold 28pt/2 var(--font);
  border-bottom: 1px solid var(--color-dark);
}
.preview .mealtype, .preview .yield {
  font: bold 14pt/1.4 var(--font);
  margin-top: 0.5cm;
}
.preview .recipe {
  font: 22pt/2 var(--font);
  margin-top: 0.5cm;
}
.preview .step {
  font: bold 12pt/2 var(--font);
  margin-top: 0.5cm;
}
.preview .ingredient {
  margin-left: 2cm;
}
.preview .ingredient .quantity {
  position: absolute;
  left: 0.5cm;
}

#fullscreen {
  position: absolute;
  right: 10px;
  top: 10px;
}
#fullscreen:after {
  content: "open_in_full";
}
body.fullscreen #fullscreen:after {
  content: "close_fullscreen";
}
body.fullscreen {
  grid-template-rows: 0 auto;
}
body.fullscreen>main {
  grid-template-columns: 10px auto 0;
}
body.fullscreen>header, body.fullscreen>main>#results, body.fullscreen>main>#actions {
  display: none;
}

@media print {
  @page {
    height: 29.7cm;
    margin: 2cm;
    width: 21cm;
  }
  body {
    background-color: white;
    color: black;
  }
  body, body>main {
    display: block;
  }
  header, header *, head, #results, #details, #watch {
    display: none !important;
  }
  #main {
    border: none;
    bottom: 0cm;
    left: 0cm;
    overflow: visible;
    right: 0cm;
    top: 0cm;
  }
}

@media screen and (min-width: 768px) {
  #results>header>span.fold {
    display: block;
  }
  #results>header>span.fold:after {
    content: 'keyboard_double_arrow_left';
    font-size: 20px;
    position: absolute;
    right: 10px;
    top: 11px;
  }
  #results:not(.folded) {
    border-right: 0;
    min-width: 30px !important;
    overflow: hidden;
    transition: all .5s ease;
    width: 30px !important;
  }
  #results:not(.folded)>header>span.fold:after {
    content: 'keyboard_double_arrow_right';
    right: 0;
  }
  #results:not(.folded)>header>:not(span.fold), #results:not(.folded)>header>form, #results:not(.folded)>:not(header) {
    display: none;
  }
  #results:not(.folded)+div {
    border-left: 0;
    margin: 0 10px 10px -10px;
  }
}

@media screen and (max-width: 768px) {
  body {
    grid-template-rows: 103px auto;
    grid-template-areas:
        "header"
        "main";
    height: auto;
    overflow: visible;
  }
  body>header {
    background-position: 45px 10px;
    background-size: 250px auto;
    grid-template-columns: auto;
    grid-template-areas:
      "version"
      "search";
  }
  nav {
    background: url(menu.png) no-repeat;
    display: block;
    grid-area: version;
    height: 36px;
    position: fixed;
    min-width: 36px;
    max-width: fit-content;
    z-index: 6;
  }
  nav>ul {
    display: none;
    flex-direction: column;
  }
  nav>ul+* {
    display: none;
  }
  nav:hover>ul {
    display: block;
  }
  nav>ul>li a {
    background: url(submenu.png) no-repeat right center;
    min-width: 125px;
  }
  nav>ul>li a:only-child {
    background: none;
  }
  nav>ul li>ul {
    left: 100%;
    margin-top: -39px;
  }
  body>header>#version {
    margin-left: 70px;
  }
  body>main {
    grid-template-columns: 100% !important;
    grid-template-rows: auto auto auto !important;
    grid-template-areas:
      "left"
      "center"
      "right" !important;
    overflow: hidden;
  }
  body>main>div>header>h1 {
    margin-right: 35px;
    text-overflow: ellipsis;
  }
  body>main>div>header>span.fold {
    display: block;
  }
  body>main>div>header>span.fold:after {
    content: 'unfold_less';
    font-size: 40px;
    position: absolute;
    right: 10px;
    top: 11px;
  }
  body>main>div.folded>header>span.fold:after {
    content: 'unfold_more';
  }
  body>main>div.folded {
    border-radius: 15px;
    height: 66px;
    overflow-y: hidden;
  }
  body>main>div.folded * {
    background: none;
  }

  body>main .sql {
    background: var(--background-color-medium) !important;
  }
  body>main .sql .code {
    margin-right: 0 !important;
  }
  body>main .sql>div>label:first-child {
    display: none;
  }
  body>main .sql>div>:first-child:not(label) {
    margin-left: 1px !important;
  }

  #fullscreen {
    display: none;
  }
  #actions {
    margin-left: 10px;
    max-width: 100% !important;
  }
  #results:not(:empty), #actions:not(:empty) {
    display: block;
    max-width: initial;
  }
}

.editable {
  min-width: auto;
  width: fit-content;
}
.editable th {
  max-width: max-content;
}
.editable th:after {
  content: '';
}
.editable th>div {
  min-width: 100%;
  resize: horizontal;
}
.editable th>div:not(:empty):after {
  content: ':';
}
.editable tr, .editable tr:hover>* {
  background-color: initial;
  color: initial;
}
.editable tr>:first-child {
  padding-left: 10px;
}
.editable:has([droppable]) tr>:first-child {
  padding-left: 20px;
}
.editable [draggable] {
  background: url(draggable.gif) 4px 4px no-repeat;
}
.editable th:first-child:has([type=checkbox]):after {
  content: '';
}
.editable td:not(:first-of-type) {
  padding-right: 10px;
}
.editable td [type=checkbox] {
  margin-top: 5px;
}
.editable [type=text], .editable [type=number], .editable [type=date], .editable select {
  width: 100% !important;
}
.editable input[type='date']:not(:focus):invalid {
  color: white;
}
.editable select {
  min-width: 0;
  width: auto;
  padding-right: 10px;
}